apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ .Chart.Name }}
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "htwkalender.labels" . | nindent 4 }}
  {{- with .Values.ingress.https.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  ingressClassName: "PLACEHOLDER"
  tls:
    - hosts:
      {{- range .Values.ingress.https.hosts }}
        - {{ .host | quote }}
      {{- end }}
      secretName: {{ $.Chart.Name }}-cert
  rules:
    {{- toYaml .Values.ingress.https.hosts | nindent 4 }}
